Package com.enonic.xp.xml

## Class DomElement

- java.lang.Object
- - com.enonic.xp.xml.DomElement

-     @PublicApi
      public final class DomElement
      extends Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DomElement` | `from​(Element elem)` |
    `String` | `getAttribute​(String name)` |
    `String` | `getAttribute​(String name, String defValue)` |
    `<T> T` | `getAttributeAs​(String name, Class<T> type, T defValue)` |
    `List<Attr>` | `getAttributes()` |
    `DomElement` | `getChild​(String name)` |
    `List<DomElement>` | `getChildren()` |
    `List<DomElement>` | `getChildren​(String name)` |
    `String` | `getChildValue​(String name)` |
    `String` | `getChildValue​(String name, String defValue)` |
    `<T> T` | `getChildValueAs​(String name, Class<T> type, T defValue)` |
    `String` | `getChildValueTrimmed​(String name)` |
    `String` | `getTagName()` |
    `String` | `getValue()` |
    `Element` | `getWrapped()` |
    `String` | `serializeBody()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getWrapped

          public Element getWrapped()

    - #### getTagName

          public String getTagName()

    - #### getChild

          public DomElement getChild​(String name)

    - #### getChildren

          public List<DomElement> getChildren​(String name)

    - #### getChildren

          public List<DomElement> getChildren()

    - #### getValue

          public String getValue()

    - #### getAttributes

          public List<Attr> getAttributes()

    - #### getAttribute

          public String getAttribute​(String name)

    - #### getAttribute

          public String getAttribute​(String name,
                                     String defValue)

    - #### getAttributeAs

          public <T> T getAttributeAs​(String name,
                                      Class<T> type,
                                      T defValue)

    - #### getChildValue

          public String getChildValue​(String name)

    - #### getChildValueTrimmed

          public String getChildValueTrimmed​(String name)

    - #### getChildValue

          public String getChildValue​(String name,
                                      String defValue)

    - #### serializeBody

          public String serializeBody()

    - #### getChildValueAs

          public <T> T getChildValueAs​(String name,
                                       Class<T> type,
                                       T defValue)

    - #### from

          public static DomElement from​(Element elem)